## org.exist.xquery
Class AnalyzeContextInfo

    java.lang.Object
      org.exist.xquery.AnalyzeContextInfo

public class AnalyzeContextInfo
extends java.lang.Object

Holds context information and execution hints for XQuery expressions. Instances of this class are passed to `Expression.analyze(AnalyzeContextInfo)` during the analysis phase of the query.

Author:
  wolf

Constructor Summary
`AnalyzeContextInfo()`
`AnalyzeContextInfo(AnalyzeContextInfo other)` Create a new object as a clone of other.
`AnalyzeContextInfo(Expression parent, int flags)` Create a new AnalyzeContextInfo using the given parent and flags.

Method Summary
`void` `addFlag(int flag)`
`int` `getContextId()` Returns the current context id.
`int` `getFlags()` Returns the processing flags.
`Expression` `getParent()` Returns the parent of the current expression.
`int` `getStaticType()`
`void` `removeFlag(int flag)`
`void` `setContextId(int contextId)`
`void` `setFlags(int flags)` Sets the processing flags to be passed to a child expression.
`void` `setParent(Expression parent)`
`void` `setStaticType(int staticType)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnalyzeContextInfo

    public AnalyzeContextInfo()

### AnalyzeContextInfo

    public AnalyzeContextInfo(Expression parent,
                              int flags)

  Create a new AnalyzeContextInfo using the given parent and flags.

Parameters:
  `parent` - the parent expression which calls this method
  `flags` - int value containing a set of flags. See the constants defined in this class.

### AnalyzeContextInfo

    public AnalyzeContextInfo(AnalyzeContextInfo other)

  Create a new object as a clone of other.

Parameters:
  `other` -

Method Detail

### getContextId

    public int getContextId()

  Returns the current context id. The context id is used to keep track of the context node set within a predicate expression or where-clause. The id identifies the ancestor expression to which the context applies.

  Returns:
    current context id.

### setContextId

    public void setContextId(int contextId)

### getFlags

    public int getFlags()

  Returns the processing flags. Every expression may pass execution hints to its child expressions, encoded as bit flags.

  Returns:
    processing flags

### setFlags

    public void setFlags(int flags)

  Sets the processing flags to be passed to a child expression.

  Parameters:
    `flags` -

### addFlag

    public void addFlag(int flag)

### removeFlag

    public void removeFlag(int flag)

### getParent

    public Expression getParent()

  Returns the parent of the current expression.

### setParent

    public void setParent(Expression parent)

### getStaticType

    public int getStaticType()

### setStaticType

    public void setStaticType(int staticType)

### toString

    public java.lang.String toString()

Copyright (C) Wolfgang Meier. All rights reserved.